/* libiriverdb - private api
 * Copyright 2005 Matt Dainty
 *
 * This library is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *
 * $Id: internal.h 32 2005-08-14 19:28:01Z  $
 */

#ifndef INTERNAL_H
#define INTERNAL_H

#include "iriverdb.h"

typedef struct iriverdb_format {
	const char *ext;
	iriverdb_data_t *( *info )( char *filename );
} iriverdb_format_t;

char *iriverdb_gettext( const char *msgid );

/* Character set conversion routines
 */
char *iriverdb_iso88591_to_utf8( const char *string, unsigned int *size );
char *iriverdb_utf16be_to_utf8( const char *string, unsigned int *size );
char *iriverdb_ucs4le_to_utf8( const char *string, unsigned int *size );
char *iriverdb_ucs4be_to_utf8( const char *string, unsigned int *size );
char *iriverdb_utf16le_to_utf8( const char *string, unsigned int *size );
char *iriverdb_utf8_to_utf16le( const char *string, unsigned int *size );

#endif /* INTERNAL_H */
